
function ModeMessageController(controller){

	this.controller = controller;

	this.messages = {
		"wait" : "Please wait...",
		"ready" : "Ready for %level% ?",
		"succes" : "Well done, minions !",
		"fail" : "To late !",
		"gameover" : "Thank you for playing !"
	};

	this.currentMessage = "wait";
	this.validatedEventBind;
	
	this.prepare = function(){

	}

	this.start = function(currentMessage){

		console.log("Start MESSAGE MODE");

		if (currentMessage) {
			this.currentMessage = currentMessage;
		}

		var message = this.messages[this.currentMessage];

		message=message.replace("%level%", this.controller.level.title);
		

		this.controller.renderer.drawMessage(message);

		if (this.validatedEventBind == null) {
			this.validatedEventBind = this.validated.bind(this);
			this.controller.renderer.canvas.addEventListener('click', this.validatedEventBind);
			this.controller.renderer.canvas.addEventListener('touch', this.validatedEventBind);
		}


	}

	this.stop = function(){
		console.log("Stop MESSAGE MODE");
		this.controller.renderer.canvas.removeEventListener('click', this.validatedEventBind);
		this.controller.renderer.canvas.removeEventListener('touch', this.validatedEventBind);

		this.validatedEventBind = null;
	}

	this.validated = function(){
		//selon moments...

		this.controller.messageValidated(this.currentMessage);
	}

}